Index: pacemaker/pengine/test10/master-stop.exp
===================================================================
--- pacemaker.orig/pengine/test10/master-stop.exp
+++ pacemaker/pengine/test10/master-stop.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="6" operation="stop" operation_key="dummy:2_stop_0" on_node="node3" on_node_uuid="3">
         <primitive id="dummy" long-id="dummy:2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/master-unmanaged-monitor.exp
===================================================================
--- pacemaker.orig/pengine/test10/master-unmanaged-monitor.exp
+++ pacemaker/pengine/test10/master-unmanaged-monitor.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="41" operation="monitor" operation_key="lsb-dummy_monitor_5000" on_node="pcmk-3" on_node_uuid="pcmk-3">
         <primitive id="lsb-dummy" class="lsb" type="/usr/share/pacemaker/tests/cts/LSBDummy"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk-3" CRM_meta_on_node_uuid="pcmk-3" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -12,7 +12,7 @@
     <action_set>
       <rsc_op id="44" operation="monitor" operation_key="migrator_monitor_10000" on_node="pcmk-4" on_node_uuid="pcmk-4">
         <primitive id="migrator" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk-4" CRM_meta_on_node_uuid="pcmk-4" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -21,7 +21,7 @@
     <action_set>
       <rsc_op id="47" operation="monitor" operation_key="ping-1:0_monitor_60000" on_node="pcmk-2" on_node_uuid="pcmk-2">
         <primitive id="ping-1" long-id="ping-1:0" class="ocf" provider="pacemaker" type="ping"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="60000"  debug="true" host_list="192.168.9.109" name="connected"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="pcmk-2" CRM_meta_timeout="60000"  debug="true" host_list="192.168.9.109" name="connected"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -30,7 +30,7 @@
     <action_set>
       <rsc_op id="50" operation="monitor" operation_key="ping-1:0_monitor_60000" internal_operation_key="ping-1:1_monitor_60000" on_node="pcmk-3" on_node_uuid="pcmk-3">
         <primitive id="ping-1" long-id="ping-1:0" class="ocf" provider="pacemaker" type="ping"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="60000"  debug="true" host_list="192.168.9.109" name="connected"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="pcmk-3" CRM_meta_on_node_uuid="pcmk-3" CRM_meta_timeout="60000"  debug="true" host_list="192.168.9.109" name="connected"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -39,7 +39,7 @@
     <action_set>
       <rsc_op id="53" operation="monitor" operation_key="ping-1:0_monitor_60000" internal_operation_key="ping-1:2_monitor_60000" on_node="pcmk-4" on_node_uuid="pcmk-4">
         <primitive id="ping-1" long-id="ping-1:0" class="ocf" provider="pacemaker" type="ping"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="60000"  debug="true" host_list="192.168.9.109" name="connected"/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="pcmk-4" CRM_meta_on_node_uuid="pcmk-4" CRM_meta_timeout="60000"  debug="true" host_list="192.168.9.109" name="connected"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -48,7 +48,7 @@
     <action_set>
       <rsc_op id="56" operation="monitor" operation_key="ping-1:0_monitor_60000" internal_operation_key="ping-1:3_monitor_60000" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="ping-1" long-id="ping-1:0" class="ocf" provider="pacemaker" type="ping"/>
-        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="60000"  debug="true" host_list="192.168.9.109" name="connected"/>
+        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000"  debug="true" host_list="192.168.9.109" name="connected"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -57,7 +57,7 @@
     <action_set>
       <rsc_op id="63" operation="monitor" operation_key="stateful-1:0_monitor_15000" on_node="pcmk-2" on_node_uuid="pcmk-2">
         <primitive id="stateful-1" long-id="stateful-1:0" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="15000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="15000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="pcmk-2" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -66,7 +66,7 @@
     <action_set>
       <rsc_op id="8" operation="monitor" operation_key="stateful-1:0_monitor_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="stateful-1" long-id="stateful-1:0" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_op_target_rc="7" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -75,7 +75,7 @@
     <action_set>
       <rsc_op id="68" operation="monitor" operation_key="stateful-1:0_monitor_16000" internal_operation_key="stateful-1:1_monitor_16000" on_node="pcmk-3" on_node_uuid="pcmk-3">
         <primitive id="stateful-1" long-id="stateful-1:0" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="16000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_op_target_rc="8" CRM_meta_role="Master" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="16000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="pcmk-3" CRM_meta_on_node_uuid="pcmk-3" CRM_meta_op_target_rc="8" CRM_meta_role="Master" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -84,7 +84,7 @@
     <action_set>
       <rsc_op id="71" operation="monitor" operation_key="stateful-1:0_monitor_15000" internal_operation_key="stateful-1:2_monitor_15000" on_node="pcmk-4" on_node_uuid="pcmk-4">
         <primitive id="stateful-1" long-id="stateful-1:0" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="15000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="15000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="pcmk-4" CRM_meta_on_node_uuid="pcmk-4" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/master_monitor_restart.exp
===================================================================
--- pacemaker.orig/pengine/test10/master_monitor_restart.exp
+++ pacemaker/pengine/test10/master_monitor_restart.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="MS_RSC_NATIVE:0_monitor_5000" on_node="node1" on_node_uuid="1031448768">
         <primitive id="MS_RSC_NATIVE" long-id="MS_RSC_NATIVE:0" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="5000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="true" CRM_meta_op_target_rc="8" CRM_meta_role="Master" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="5000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="true" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="1031448768" CRM_meta_op_target_rc="8" CRM_meta_role="Master" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/migrate-1.exp
===================================================================
--- pacemaker.orig/pengine/test10/migrate-1.exp
+++ pacemaker/pengine/test10/migrate-1.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="6" operation="migrate_from" operation_key="rsc3_migrate_from_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_migrate_source="node1" CRM_meta_migrate_target="node2" CRM_meta_timeout="20000" allow_migrate="on" />
+        <attributes CRM_meta_migrate_source="node1" CRM_meta_migrate_target="node2" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" allow_migrate="on" />
        </rsc_op>
      </action_set>
     <inputs>
@@ -16,7 +16,7 @@
      <action_set>
       <rsc_op id="5" operation="migrate_to" operation_key="rsc3_migrate_to_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_migrate_source="node1" CRM_meta_migrate_target="node2" CRM_meta_record_pending="true" CRM_meta_timeout="20000" allow_migrate="on" />
+        <attributes CRM_meta_migrate_source="node1" CRM_meta_migrate_target="node2" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_record_pending="true" CRM_meta_timeout="20000" allow_migrate="on" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -47,7 +47,7 @@
     <action_set>
       <rsc_op id="3" operation="stop" operation_key="rsc3_stop_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" allow_migrate="on" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" allow_migrate="on" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -63,7 +63,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" allow_migrate="on" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" allow_migrate="on" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/migrate-3.exp
===================================================================
--- pacemaker.orig/pengine/test10/migrate-3.exp
+++ pacemaker/pengine/test10/migrate-3.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="4" operation="start" operation_key="rsc3_start_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" allow_migrate="on" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" allow_migrate="on" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -19,7 +19,7 @@
      <action_set>
       <rsc_op id="3" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" allow_migrate="on" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" allow_migrate="on" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -28,7 +28,7 @@
      <action_set>
       <rsc_op id="1" operation="stop" operation_key="rsc3_stop_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" allow_migrate="on" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" allow_migrate="on" />
        </rsc_op>
      </action_set>
      <inputs>
Index: pacemaker/pengine/test10/migrate-4.exp
===================================================================
--- pacemaker.orig/pengine/test10/migrate-4.exp
+++ pacemaker/pengine/test10/migrate-4.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="3" operation="start" operation_key="rsc3_start_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" allow_migrate="on" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" allow_migrate="on" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -16,7 +16,7 @@
      <action_set>
       <rsc_op id="1" operation="stop" operation_key="rsc3_stop_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc3" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" allow_migrate="on" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" allow_migrate="on" />
       </rsc_op>
      </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/migrate-5.exp
===================================================================
--- pacemaker.orig/pengine/test10/migrate-5.exp
+++ pacemaker/pengine/test10/migrate-5.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="5" operation="migrate_from" operation_key="domU-test01_migrate_from_0" on_node="dom0-01" on_node_uuid="dom0-01">
         <primitive id="domU-test01" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_migrate_source="dom0-02" CRM_meta_migrate_target="dom0-01" CRM_meta_timeout="20000" allow_migrate="true"  xmfile="/etc/xen/test01.cfg"/>
+        <attributes CRM_meta_migrate_source="dom0-02" CRM_meta_migrate_target="dom0-01" CRM_meta_on_node="dom0-01" CRM_meta_on_node_uuid="dom0-01" CRM_meta_timeout="20000" allow_migrate="true"  xmfile="/etc/xen/test01.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="4" operation="migrate_to" operation_key="domU-test01_migrate_to_0" on_node="dom0-02" on_node_uuid="dom0-02">
         <primitive id="domU-test01" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_migrate_source="dom0-02" CRM_meta_migrate_target="dom0-01" CRM_meta_record_pending="true" CRM_meta_timeout="20000" allow_migrate="true"  xmfile="/etc/xen/test01.cfg"/>
+        <attributes CRM_meta_migrate_source="dom0-02" CRM_meta_migrate_target="dom0-01" CRM_meta_on_node="dom0-02" CRM_meta_on_node_uuid="dom0-02" CRM_meta_record_pending="true" CRM_meta_timeout="20000" allow_migrate="true"  xmfile="/etc/xen/test01.cfg"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -40,7 +40,7 @@
     <action_set>
       <rsc_op id="2" operation="stop" operation_key="domU-test01_stop_0" on_node="dom0-02" on_node_uuid="dom0-02">
         <primitive id="domU-test01" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_timeout="20000" allow_migrate="true"  xmfile="/etc/xen/test01.cfg"/>
+        <attributes CRM_meta_on_node="dom0-02" CRM_meta_on_node_uuid="dom0-02" CRM_meta_timeout="20000" allow_migrate="true"  xmfile="/etc/xen/test01.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -80,7 +80,7 @@
     <action_set>
       <rsc_op id="12" operation="stop" operation_key="dom0-iscsi1-cnx1:0_stop_0" internal_operation_key="dom0-iscsi1-cnx1:1_stop_0" on_node="dom0-02" on_node_uuid="dom0-02">
         <primitive id="dom0-iscsi1-cnx1" long-id="dom0-iscsi1-cnx1:0" class="ocf" provider="heartbeat" type="iscsi"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000"  portal="192.168.99.1" target="frontal-01:test01"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="dom0-02" CRM_meta_on_node_uuid="dom0-02" CRM_meta_timeout="20000"  portal="192.168.99.1" target="frontal-01:test01"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/migrate-begin.exp
===================================================================
--- pacemaker.orig/pengine/test10/migrate-begin.exp
+++ pacemaker/pengine/test10/migrate-begin.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="15" operation="migrate_from" operation_key="test-vm_migrate_from_0" on_node="hex-13" on_node_uuid="hex-13">
         <primitive id="test-vm" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_migrate_source="hex-14" CRM_meta_migrate_target="hex-13" CRM_meta_record_pending="true" CRM_meta_timeout="600000"  name="test-vm" xmfile="/var/lib/xen/images/SLES_11_SP1_JeOS_Xen_Guest.x86_64-0.0.1.xenconfig"/>
+        <attributes CRM_meta_migrate_source="hex-14" CRM_meta_migrate_target="hex-13" CRM_meta_on_node="hex-13" CRM_meta_on_node_uuid="hex-13" CRM_meta_record_pending="true" CRM_meta_timeout="600000"  name="test-vm" xmfile="/var/lib/xen/images/SLES_11_SP1_JeOS_Xen_Guest.x86_64-0.0.1.xenconfig"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="14" operation="migrate_to" operation_key="test-vm_migrate_to_0" on_node="hex-14" on_node_uuid="hex-14">
         <primitive id="test-vm" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_migrate_source="hex-14" CRM_meta_migrate_target="hex-13" CRM_meta_record_pending="true" CRM_meta_timeout="600000"  name="test-vm" xmfile="/var/lib/xen/images/SLES_11_SP1_JeOS_Xen_Guest.x86_64-0.0.1.xenconfig"/>
+        <attributes CRM_meta_migrate_source="hex-14" CRM_meta_migrate_target="hex-13" CRM_meta_on_node="hex-14" CRM_meta_on_node_uuid="hex-14" CRM_meta_record_pending="true" CRM_meta_timeout="600000"  name="test-vm" xmfile="/var/lib/xen/images/SLES_11_SP1_JeOS_Xen_Guest.x86_64-0.0.1.xenconfig"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -47,7 +47,7 @@
     <action_set>
       <rsc_op id="12" operation="stop" operation_key="test-vm_stop_0" on_node="hex-14" on_node_uuid="hex-14">
         <primitive id="test-vm" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_record_pending="true" CRM_meta_timeout="600000"  name="test-vm" xmfile="/var/lib/xen/images/SLES_11_SP1_JeOS_Xen_Guest.x86_64-0.0.1.xenconfig"/>
+        <attributes CRM_meta_on_node="hex-14" CRM_meta_on_node_uuid="hex-14" CRM_meta_record_pending="true" CRM_meta_timeout="600000"  name="test-vm" xmfile="/var/lib/xen/images/SLES_11_SP1_JeOS_Xen_Guest.x86_64-0.0.1.xenconfig"/>
       </rsc_op>
     </action_set>
     <inputs>
